## GstValidateMediaDescriptorParser

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMediaDescriptor
                    ╰──GstValidateMediaDescriptorParser

### Members

`parent` (GstValidateMediaDescriptor) –
No description available
`priv` (GstValidateMediaDescriptorParserPrivate*) –
No description available

### Class structure

#### GstValidateMediaDescriptorParserClass

##### Fields

`parent` (GstValidateMediaDescriptorClass) –
No description available

### GstValidate.MediaDescriptorParserClass

##### Attributes

`parent` (GstValidate.MediaDescriptorClass) –
No description available

### GstValidate.MediaDescriptorParserClass

##### Attributes

`parent` (GstValidate.MediaDescriptorClass) –
No description available

## GstValidate.MediaDescriptorParser

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorParser

### Members

`parent` (GstValidate.MediaDescriptor) –
No description available
`priv` (GstValidate.MediaDescriptorParserPrivate) –
No description available

## GstValidate.MediaDescriptorParser

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorParser

### Members

`parent` (GstValidate.MediaDescriptor) –
No description available
`priv` (GstValidate.MediaDescriptorParserPrivate) –
No description available

### Constructors

#### gst_validate_media_descriptor_parser_new

    GstValidateMediaDescriptorParser *
    gst_validate_media_descriptor_parser_new (GstValidateRunner * runner,
                                              const gchar * xmlpath,
                                              GError ** error)

Parameters:

`runner` –
No description available
`xmlpath` –
No description available
`error` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.new

    function GstValidate.MediaDescriptorParser.prototype.new(runner: GstValidate.Runner, xmlpath: String): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_new'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`xmlpath` (String) –
No description available
Returns (GstValidate.MediaDescriptorParser) –
No description available

#### GstValidate.MediaDescriptorParser.new

    @raises(GLib.GError)
    def GstValidate.MediaDescriptorParser.new (runner, xmlpath):
        #python wrapper for 'gst_validate_media_descriptor_parser_new'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`xmlpath` (str) –
No description available
Returns (GstValidate.MediaDescriptorParser) –
No description available

#### gst_validate_media_descriptor_parser_new_from_xml

    GstValidateMediaDescriptorParser *
    gst_validate_media_descriptor_parser_new_from_xml (GstValidateRunner * runner,
                                                       const gchar * xml,
                                                       GError ** error)

Parameters:

`runner` –
No description available
`xml` –
No description available
`error` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.new_from_xml

    function GstValidate.MediaDescriptorParser.prototype.new_from_xml(runner: GstValidate.Runner, xml: String): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_new_from_xml'
    }

Parameters:

`runner` (GstValidate.Runner) –
No description available
`xml` (String) –
No description available
Returns (GstValidate.MediaDescriptorParser) –
No description available

#### GstValidate.MediaDescriptorParser.new_from_xml

    @raises(GLib.GError)
    def GstValidate.MediaDescriptorParser.new_from_xml (runner, xml):
        #python wrapper for 'gst_validate_media_descriptor_parser_new_from_xml'

Parameters:

`runner` (GstValidate.Runner) –
No description available
`xml` (str) –
No description available
Returns (GstValidate.MediaDescriptorParser) –
No description available

### Methods

#### gst_validate_media_descriptor_parser_add_stream

    gboolean
    gst_validate_media_descriptor_parser_add_stream (GstValidateMediaDescriptorParser * parser,
                                                     GstPad * pad)

Parameters:

`parser` –
No description available
`pad` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.add_stream

    function GstValidate.MediaDescriptorParser.prototype.add_stream(pad: Gst.Pad): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_add_stream'
    }

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
`pad` (Gst.Pad) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorParser.add_stream

    def GstValidate.MediaDescriptorParser.add_stream (self, pad):
        #python wrapper for 'gst_validate_media_descriptor_parser_add_stream'

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
`pad` (Gst.Pad) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_parser_add_taglist

    gboolean
    gst_validate_media_descriptor_parser_add_taglist (GstValidateMediaDescriptorParser * parser,
                                                      GstTagList * taglist)

Parameters:

`parser` –
No description available
`taglist` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.add_taglist

    function GstValidate.MediaDescriptorParser.prototype.add_taglist(taglist: Gst.TagList): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_add_taglist'
    }

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorParser.add_taglist

    def GstValidate.MediaDescriptorParser.add_taglist (self, taglist):
        #python wrapper for 'gst_validate_media_descriptor_parser_add_taglist'

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
`taglist` (Gst.TagList) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_parser_all_stream_found

    gboolean
    gst_validate_media_descriptor_parser_all_stream_found (GstValidateMediaDescriptorParser * parser)

Parameters:

`parser` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.all_stream_found

    function GstValidate.MediaDescriptorParser.prototype.all_stream_found(): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_all_stream_found'
    }

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorParser.all_stream_found

    def GstValidate.MediaDescriptorParser.all_stream_found (self):
        #python wrapper for 'gst_validate_media_descriptor_parser_all_stream_found'

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_parser_all_tags_found

    gboolean
    gst_validate_media_descriptor_parser_all_tags_found (GstValidateMediaDescriptorParser * parser)

Parameters:

`parser` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.all_tags_found

    function GstValidate.MediaDescriptorParser.prototype.all_tags_found(): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_all_tags_found'
    }

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptorParser.all_tags_found

    def GstValidate.MediaDescriptorParser.all_tags_found (self):
        #python wrapper for 'gst_validate_media_descriptor_parser_all_tags_found'

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_parser_get_xml_path

    gchar *
    gst_validate_media_descriptor_parser_get_xml_path (GstValidateMediaDescriptorParser * parser)

Parameters:

`parser` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptorParser.prototype.get_xml_path

    function GstValidate.MediaDescriptorParser.prototype.get_xml_path(): {
        // javascript wrapper for 'gst_validate_media_descriptor_parser_get_xml_path'
    }

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (String) –
No description available

#### GstValidate.MediaDescriptorParser.get_xml_path

    def GstValidate.MediaDescriptorParser.get_xml_path (self):
        #python wrapper for 'gst_validate_media_descriptor_parser_get_xml_path'

Parameters:

`parser` (GstValidate.MediaDescriptorParser) –
No description available
Returns (str) –
No description available

## Function Macros

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR_PARSER

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR_PARSER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_PARSER))

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR_PARSER_CLASS

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR_PARSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_PARSER))

## Constants

### GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_PARSER

    #define GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR_PARSER            (gst_validate_media_descriptor_parser_get_type ())

The results of the search are